class AdminController < ApplicationController
  before_filter :authorize
  before_filter :only_admin
  
  layout "main"

  def index
    @chat_rooms = ChatRoom.find(:all)
  end

  def new
  end

  def create
    if request.post?
      @chat_room = ChatRoom.new(params[:chat_room])
      if @chat_room.save
        flash[:message] = 'Pokój został utworzony'
        redirect_to :action => :index
      else
        render :action => :new
      end
    else
      redirect_to :action => :index
    end
  end

  def edit
    @chat_room = ChatRoom.find(params[:id])
  end

  def update
    if request.put?
      @chat_room = ChatRoom.find(params[:id])
      @chat_room.update_attributes(params[:chat_room])
      if @chat_room.save
        flash[:message] = 'Pokój został uaktualniony'
        redirect_to :action => :index
      else
        render :action => :edit
      end
    else
      redirect_to :action => :index
    end
  end

  def destroy
    chat_room = ChatRoom.find(params[:id])
    chat_room.delete
    flash[:message] = 'Pokój został usunięty'
    redirect_to :action => :index
  end

end
