
class MainController < ApplicationController
  layout "main"

  def index
    if !session[:user_id].nil?
      @logged = true
      flash[:message] = "Jesteś już zalogowany jako: #{User.find(session[:user_id]).login.capitalize}"
    end
  end

  def login
    if request.post?
       @user = User.authenticate(params[:user][:login], params[:user][:password])
       if @user
         @user.login!(session)
         session[:color] = "rgb(#{rand(255).to_s},#{rand(255).to_s},#{rand(255).to_s})"
         redirect_to :controller => @user.account_type == :user ? :chat : :admin
       else
         flash[:error] = "Nieprawidłowy login lub hasło"
         redirect_to :action => :index
       end
    else
      redirect_to :action => :index
    end
  end

  def logout
    User.logout!(session)
    flash[:message] = "Wylogowano poprawnie"
    redirect_to :action => :index
  end

end
