class ChatRoom < ActiveRecord::Base
  ROOM_MAX_LENGTH    = 14
  ROOM_MIN_LENGTH    = 5

  has_many :chat_rooms_users
  has_many :users, :uniq => false, :through => :chat_rooms_users


  validates_uniqueness_of :name, :message => 'którą wybrałeś już istnieje'
  validates_length_of :name, :within =>  ROOM_MIN_LENGTH..ROOM_MAX_LENGTH,
    :too_long => "jest za długa",
    :too_short => "jest za krótka"
  validates_format_of :name, :with => /^[A-Z0-9_ ]*$/i,
    :message => 'jest nieprawidłowa'

  HUMANIZED_ATTRIBUTES = {
    :name => 'Nazwa'
  }

  def self.human_attribute_name(attr)
    HUMANIZED_ATTRIBUTES[attr.to_sym] || super
  end

  def save
    self.link = self.name.gsub(' ', '_')
    super
  end

end
